import { Dcomm } from "dcomm/dist"
import { AuthorityVMAPI } from "dcomm/dist/apis/authorityvm"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const athchain: AuthorityVMAPI = dcomm.ATHChain()

const main = async (): Promise<any> => {
  const address: string = "ATH-local18jma8ppw3nhx5r4ap8clazz0dps7rv5u00z96u"
  const balance: object = await athchain.getBalance(address)
  console.log(balance)
}

main()
